nxt.http.callers

## Class GetPeersCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetPeersCall>
  - - nxt.http.callers.GetPeersCall

-     public class GetPeersCall
      extends APICall.Builder<GetPeersCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetPeersCall` | `active(java.lang.String active)`
    `GetPeersCall` | `adminPassword(java.lang.String adminPassword)`
    `GetPeersCall` | `connect(java.lang.String connect)`
    `static GetPeersCall` | `create()`
    `GetPeersCall` | `includeNewer(boolean includeNewer)`
    `GetPeersCall` | `includePeerInfo(boolean includePeerInfo)`
    `GetPeersCall` | `service(java.lang.String... service)`
    `GetPeersCall` | `state(java.lang.String state)`
    `GetPeersCall` | `version(java.lang.String version)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetPeersCall create()

    - #### includeNewer

          public GetPeersCall includeNewer(boolean includeNewer)

    - #### service

          public GetPeersCall service(java.lang.String... service)

    - #### active

          public GetPeersCall active(java.lang.String active)

    - #### state

          public GetPeersCall state(java.lang.String state)

    - #### includePeerInfo

          public GetPeersCall includePeerInfo(boolean includePeerInfo)

    - #### version

          public GetPeersCall version(java.lang.String version)

    - #### connect

          public GetPeersCall connect(java.lang.String connect)

    - #### adminPassword

          public GetPeersCall adminPassword(java.lang.String adminPassword)